# $Revision: 1.27 $, $Date: 2002/10/17 14:34:44 $
Summary:	muddleftpd - ftp daemon
Summary(pl):	muddleftpd - serwer ftp
Name:		muddleftpd
Version:	1.3.12.1
Release:	1
License:	GPL
Group:		Daemons
Source0:	http://savannah.nongnu.org/download/%{name}/%{name}-%{version}.tar.gz
Source1:	ftp.pamd
Source2:	%{name}.logrotate
Source3:	%{name}.init
Source4:	%{name}.sysconfig
Source5:	%{name}.conf
Patch0:		%{name}-MD5-passwd.patch
URL:		http://www.nongnu.org/muddleftpd/
BuildRequires:	autoconf
BuildRequires:	pam-devel
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig
Requires:	logrotate
Provides:	ftpserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	ftpserver
Obsoletes:	anonftp
Obsoletes:	bftpd
Obsoletes:	ftpd-BSD
Obsoletes:	heimdal-ftpd
Obsoletes:	linux-ftpd
Obsoletes:	proftpd
Obsoletes:	proftpd-common
Obsoletes:	proftpd-inetd
Obsoletes:	proftpd-standalone
Obsoletes:	pure-ftpd
Obsoletes:	troll-ftpd
Obsoletes:	vsftpd
Obsoletes:	wu-ftpd

%define		_sysconfdir	/etc/muddleftpd
%define		_localstatedir	/var/run

%description
MUDDLEFTPD is a server for the Internet File Transfer Protocol. Normal
FTP servers tend to always want to run with root privileges on the
server host. MUDDLEFTPD is designed to overcome this obstacle without
limiting the available features when running without root privileges.

%description -l pl
MUDDLEFTPD jest serwerem FTP. O ile wikszo serwerw FTP chce
uprawnie roota, MUDDLEFTPD zosta zaprojektowany tak, aby mg
dziaa bez tych uprawnie bez zbytniego ograniczenia moliwoci.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
rm -f configure
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir},/var/log} \
	$RPM_BUILD_ROOT/etc/{pam.d,logrotate.d,rc.d/init.d,sysconfig,security} \
	$RPM_BUILD_ROOT/home/ftp/{pub,upload}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	INFODIR=$RPM_BUILD_ROOT%{_infodir}

mv -f $RPM_BUILD_ROOT%{_sbindir}/ftpwho $RPM_BUILD_ROOT%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/ftp
install %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/muddleftpd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/muddleftpd
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/muddleftpd

touch $RPM_BUILD_ROOT/var/log/muddleftpd
touch $RPM_BUILD_ROOT/etc/security/blacklist.ftp

install src/ratiotool		$RPM_BUILD_ROOT%{_bindir}
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/muddleftpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/chkconfig --add muddleftpd
if [ -f /var/lock/subsys/muddleftpd ]; then
	/etc/rc.d/init.d/muddleftpd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/muddleftpd start\" to start muddleftpd daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/muddleftpd ]; then
		/etc/rc.d/init.d/muddleftpd stop 1>&2
	fi
	/sbin/chkconfig --del muddleftpd
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES README TODO doc/*.txt examples

%attr(750,root,root) %dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/muddleftpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/security/blacklist.ftp
%attr(640,root,root) /etc/logrotate.d/*
%attr(640,root,root) %ghost /var/log/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/*
%attr(754,root,root) /etc/rc.d/init.d/*
%attr(640,root,root) /etc/sysconfig/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*

%{_mandir}/man1/*
%{_infodir}/*

%attr(755,root,root) %dir /home/ftp
%attr(755,root,root) %dir /home/ftp/pub
%attr(700,root,ftp) %verify(not mode) %dir /home/ftp/upload

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: muddleftpd.spec,v $
Revision 1.27  2002/10/17 14:34:44  areq
- 1.3.12.1, STBR
- update URL

Revision 1.26  2002/07/29 07:28:04  marcus
- fixed building, rel.7.

Revision 1.25  2002/06/05 18:53:05  kloczek
- spec adapterized and use new %doc.

Revision 1.24  2002/06/01 10:29:34  qboosh
- Obsoletes: proftpd-*, vsftpd
- release 6

Revision 1.23  2002/05/21 23:14:12  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.22  2002/03/26 22:10:44  djrzulf
- s/Obsolete:  proftpd-common/Conflicts:  proftpd-common/

Revision 1.21  2002/03/26 22:05:59  djrzulf
- added Obsoletes: proftpd-common,
- release 5,
- STBR,

Revision 1.20  2002/02/23 03:54:21  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:13:59  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/10/11 12:07:18  qboosh
- Obsoletes: troll-ftpd

Revision 1.16  2001/10/08 21:25:56  grzegorz
- added creating /etc/security dir in %%install

Revision 1.15  2001/10/08 21:19:38  grzegorz
- added Source5: muddleftpd.conf with "logfile /var/log/muddleftpd" and
  disabled "logindump /etc/issue.ftp", maybe some other options should
  be changed too
- in %%instal s/muddleftpd.log/muddleftpd/
- added /etc/security/blacklist.ftp in %%install and %%files
- release 4

Revision 1.14  2001/10/08 14:05:01  qboosh
- fixed: added creating /home/ftp/{pub,upload} in %%install

Revision 1.13  2001/10/08 11:46:29  grzegorz
- added /home/ftp and subdirectories (upload with root.ftp 700 too)
- release 3

Revision 1.12  2001/08/11 18:22:50  kloczek
- release 2.

Revision 1.11  2001/08/11 17:41:50  waszi
- removed some commented stuff
- added ratiotool

Revision 1.10  2001/08/11 17:37:26  waszi
- ac fixes

Revision 1.9  2001/07/26 05:42:21  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.7  2001/05/27 14:16:30  areq
- 1.3.11
- updated man install
- add MD5-passwd.patch - internal password code in md5

Revision 1.6  2001/04/20 09:12:06  zagrodzki
- fixed man paths

Revision 1.5  2001/04/19 18:14:15  blues
- Revison 2 - STB
- killall path

Revision 1.4  2001/03/27 12:12:30  mis
- autoupdated to 1.3.9

Revision 1.3  2001/03/18 20:49:42  kloczek
- standarized %preun.

Revision 1.2  2001/03/18 18:45:44  qboosh
- builds now, but not configured at all

Revision 1.1  2001/03/04 14:40:51  misiek
raw
